﻿Imports System.Collections.ObjectModel

Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WebEdition

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Me.Map1.MapUnit = GeographyUnit.Meter
        Me.Map1.MapUnit = GeographyUnit.DecimalDegree
        Me.Map1.MapTools.MouseCoordinate.Enabled = True
        Me.Map1.MapTools.MouseCoordinate.MouseCoordinateType = MouseCoordinateType.LongitudeLatitude
        If Not IsPostBack Then
            Me.Map1.CurrentExtent = New RectangleShape(-125, 72, 50, -46)
            Me.Map1.MapTools.Logo.Enabled = False
            Me.Map1.MapTools.MiniMap.Enabled = False
            Me.Map1.MapTools.OverlaySwitcher.Enabled = True
            Me.Map1.MapTools.KeyboardMapTool.Enabled = False
            LoadShape()
        End If
    End Sub
    Private Sub LoadShape()
        Dim worldLayer As New ShapeFileFeatureLayer(MapPath("~/Data/cntry02.shp"))
        worldLayer.RequireIndex = False
        worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        worldLayer.DrawingQuality = DrawingQuality.HighSpeed

        'Dim proj4Projection As New Proj4Projection()
        'proj4Projection.InternalProjectionParametersString = proj4Projection.GetEpsgParametersString(27492)
        'proj4Projection.ExternalProjectionParametersString = proj4Projection.GetGoogleMapParametersString()
        'worldLayer.FeatureSource.Projection = proj4Projection

        'worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.SimpleColors.Black, 5)
        worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green))
        Dim limitesOverlay As LayerOverlay

        limitesOverlay = New LayerOverlay("Limites", True, TileType.SingleTile)

        limitesOverlay.TransitionEffect = TransitionEffect.Stretching
        Me.Map1.CustomOverlays.Add(limitesOverlay)


        limitesOverlay.Layers.Add("limites", worldLayer)


        Me.Map1.CurrentExtent = limitesOverlay.GetBoundingBox()
    End Sub


End Class